import { IEffectsAction } from 'redux-effects-promise';
import { ITransportFluxEntity } from '../definition';
export declare class TransportActionBuilder {
    /**
     * @stable [16.03.2020]
     * @param {ITransportFluxEntity} data
     * @returns {IEffectsAction}
     */
    static buildUpdateTokenAction(data: ITransportFluxEntity): IEffectsAction;
    /**
     * @stable [16.03.2020]
     * @returns {IEffectsAction}
     */
    static buildDestroyTokenAction(): IEffectsAction;
}
