/// <reference types="react" />
import { BaseComponent } from '../../base';
import { IKeyboardKeyProps } from '../../../definition';
export declare class KeyboardKey extends BaseComponent<IKeyboardKeyProps> {
    private readonly buttonRef;
    /**
     * @stable [26.01.2019]
     * @param {IKeyboardKeyProps} props
     */
    constructor(props: IKeyboardKeyProps);
    /**
     * @stable [27.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [08.05.2018]
     */
    private onClick;
    /**
     * @stable [02.02.2020]
     * @returns {string}
     */
    private readonly value;
    /**
     * @stable [02.02.2020]
     * @returns {boolean}
     */
    private readonly isKeyTouched;
    /**
     * @stable [02.02.2020]
     * @returns {IKeyboardKeyValueEntity}
     */
    private readonly keyAsObject;
    /**
     * @stable [02.02.2020]
     * @returns {string}
     */
    private readonly keyAsString;
}
