"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var Title = /** @class */ (function (_super) {
    __extends(Title, _super);
    function Title() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [09.02.2020]
     * @returns {JSX.Element}
     */
    Title.prototype.render = function () {
        var props = this.props;
        var items = props.items;
        var contentBorder = util_1.nvl(this.systemSettings.contentBorder, props.contentBorder);
        return (React.createElement("div", { className: util_1.joinClassName('rac-title', util_1.calc(props.className)) },
            React.createElement("div", { className: 'rac-title__content' },
                this.t(props.children),
                contentBorder && React.createElement("div", { className: 'rac-title__content-edge' })),
            items && (React.createElement("div", { className: 'rac-title__right-content' }, items))));
    };
    Object.defineProperty(Title.prototype, "systemSettings", {
        /**
         * @stable [09.02.2020]
         * @returns {ITitleProps}
         */
        get: function () {
            var _a = (this.settings.components || {}).title, title = _a === void 0 ? {} : _a;
            return title;
        },
        enumerable: true,
        configurable: true
    });
    return Title;
}(base_1.BaseComponent));
exports.Title = Title;
//# sourceMappingURL=title.component.js.map