"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var tooltip_js_1 = require("tooltip.js");
var util_1 = require("../../util");
var GenericTooltipPlugin = /** @class */ (function () {
    function GenericTooltipPlugin() {
    }
    /**
     * @stable [27.05.2019]
     * @param {HTMLElement} value
     */
    GenericTooltipPlugin.prototype.setTarget = function (value) {
        this.target = value;
    };
    /**
     * @stable [27.05.2019]
     * @param {IGenericTooltipEntity} value
     */
    GenericTooltipPlugin.prototype.setTooltip = function (value) {
        this.tooltip = value;
    };
    /**
     * @stable [27.05.2019]
     */
    GenericTooltipPlugin.prototype.destroy = function () {
        if (util_1.isDef(this.tooltipInstance)) {
            this.tooltipInstance.dispose();
            this.tooltipInstance = null;
        }
    };
    /**
     * @stable [27.05.2019]
     */
    GenericTooltipPlugin.prototype.init = function () {
        this.destroy();
        this.tooltipInstance = new tooltip_js_1.default(this.target, __assign({ trigger: 'hover' }, this.tooltip));
    };
    return GenericTooltipPlugin;
}());
exports.GenericTooltipPlugin = GenericTooltipPlugin;
//# sourceMappingURL=generic-tooltip.plugin.js.map