"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var viewer_component_1 = require("../viewer.component");
var definition_1 = require("../../../definition");
var PictureViewer = /** @class */ (function (_super) {
    __extends(PictureViewer, _super);
    function PictureViewer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [18.03.2020]
     * @returns {JSX.Element}
     */
    PictureViewer.prototype.getPreviewExtraActionsElement = function () {
        // You may implement this later..
        return null;
    };
    /**
     * @stable [18.03.2020]
     * @returns {string}
     */
    PictureViewer.prototype.getClassName = function () {
        return util_1.joinClassName(_super.prototype.getClassName.call(this), definition_1.ViewerClassesEnum.PICTURE_VIEWER);
    };
    /**
     * @stable [11.01.2019]
     * @returns {JSX.Element}
     */
    PictureViewer.prototype.getContentElement = function () {
        return (React.createElement("img", { className: definition_1.ViewerClassesEnum.VIEWER_CONTENT, src: this.actualSrc }));
    };
    /**
     * @stable [18.03.2020]
     * @returns {JSX.Element}
     */
    PictureViewer.prototype.gePreviewElement = function () {
        return React.createElement(PictureViewer, { src: this.actualSrc });
    };
    PictureViewer.defaultProps = {
        defaultScr: 'media/no_picture.jpg',
        usePreview: false,
    };
    return PictureViewer;
}(viewer_component_1.Viewer));
exports.PictureViewer = PictureViewer;
//# sourceMappingURL=picture-viewer.component.js.map