"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [11.09.2019]
 */
var NavigationItemTypesEnum;
(function (NavigationItemTypesEnum) {
    NavigationItemTypesEnum[NavigationItemTypesEnum["DIVIDER"] = 0] = "DIVIDER";
    NavigationItemTypesEnum[NavigationItemTypesEnum["GROUP"] = 1] = "GROUP";
    NavigationItemTypesEnum[NavigationItemTypesEnum["SUB_HEADER"] = 2] = "SUB_HEADER";
})(NavigationItemTypesEnum = exports.NavigationItemTypesEnum || (exports.NavigationItemTypesEnum = {}));
/**
 * @stable [23.03.2020]
 */
exports.NAVIGATION_EXTRA_ITEM_TYPES = [
    NavigationItemTypesEnum.DIVIDER,
    NavigationItemTypesEnum.SUB_HEADER
];
/**
 * @classes
 * @stable [24.03.2020]
 */
var NavigationListClassesEnum;
(function (NavigationListClassesEnum) {
    NavigationListClassesEnum["NAVIGATION_LIST_ACTIVE_SECTION"] = "rac-navigation-list__active-section";
    NavigationListClassesEnum["NAVIGATION_LIST_EXPANDED_SECTION"] = "rac-navigation-list__expanded-section";
    NavigationListClassesEnum["NAVIGATION_LIST_GROUP_SECTION"] = "rac-navigation-list__group-section";
    NavigationListClassesEnum["NAVIGATION_LIST_ITEM_ICON"] = "rac-navigation-list__item-icon";
    NavigationListClassesEnum["NAVIGATION_LIST_ITEM_SECTION"] = "rac-navigation-list__item-section";
    NavigationListClassesEnum["NAVIGATION_LIST_SECTION"] = "rac-navigation-list__section";
})(NavigationListClassesEnum = exports.NavigationListClassesEnum || (exports.NavigationListClassesEnum = {}));
//# sourceMappingURL=navigation-list-definition.interface.js.map