import { IErrorWrapper, IInfoWrapper, INotificationWrapper } from '../definitions.interface';
/**
 * @entity
 * @stable [24.09.2019]
 */
export interface INotificationEntity extends IErrorWrapper<string>, IInfoWrapper {
}
/**
 * @wrapper-entity
 * @stable [24.09.2019]
 */
export interface INotificationWrapperEntity extends INotificationWrapper<INotificationEntity> {
}
/**
 * @initial-entity
 * @stable [24.09.2019]
 */
export declare const INITIAL_NOTIFICATION_ENTITY: Readonly<INotificationEntity>;
/**
 * @stable [13.02.2020]
 */
export declare const $RAC_NOTIFICATION_INFO_ACTION_TYPE: string;
export declare const $RAC_NOTIFICATION_ERROR_ACTION_TYPE: string;
export declare const $RAC_NOTIFICATION_CLEAR_ACTION_TYPE: string;
