import { ILoginWrapper, IPasswordWrapper, IUrlWrapper, IUserWrapper } from '../definitions.interface';
import { INamedEntity } from './entity-definition.interface';
import { IEntityReducerFactoryConfigEntity } from './redux-definition.interface';
/**
 * @entity
 * @stable [27.09.2019]
 */
export interface IUserEntity extends INamedEntity, IUrlWrapper, IPasswordWrapper, ILoginWrapper {
}
/**
 * @wrapper-entity
 * @stable [27.09.2019]
 */
export interface IUserWrapperEntity<TUser = IUserEntity> extends IUserWrapper<TUser> {
}
/**
 * @stable [13.11.2019]
 */
export declare const $RAC_USER_DESTROY_ACTION_TYPE: string;
export declare const $RAC_USER_REPLACE_ACTION_TYPE: string;
export declare const $RAC_USER_UPDATE_ACTION_TYPE: string;
/**
 * @stable [13.11.2019]
 */
export declare const $RAC_USER_REDUCER_FACTORY_CONFIG_ENTITY: Readonly<IEntityReducerFactoryConfigEntity>;
