import { IEffectsAction } from 'redux-effects-promise';
import { IDefaultFormChangesMiddlewareConfigEntity } from '../../definition';
import { IKeyValue } from '../../definitions.interface';
/**
 * @stable [26.03.2020]
 * @param {IDefaultFormChangesMiddlewareConfigEntity<TChanges extends IKeyValue, TState>} config
 * @returns {IEffectsAction}
 */
export declare const makeDefaultFormChangesMiddleware: <TChanges extends IKeyValue = IKeyValue, TState = {}>(config: IDefaultFormChangesMiddlewareConfigEntity<TChanges, TState>) => IEffectsAction;
