"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var action_builder_1 = require("../../component/action.builder");
var util_1 = require("../../util");
/**
 * @stable [26.03.2020]
 * @param {IDefaultFormChangesMiddlewareConfigEntity<TChanges extends IKeyValue, TState>} config
 * @returns {IEffectsAction}
 */
exports.makeDefaultFormChangesMiddleware = function (config) {
    return util_1.orNull(util_1.isObjectNotEmpty(config.defaultChanges) && util_1.isObjectNotEmpty(config.formSection), function () { return action_builder_1.FormActionBuilder.buildDefaultChangesAction(config.formSection, util_1.calc(config.defaultChanges)); });
};
//# sourceMappingURL=default-form-changes.middleware.js.map