import { IEffectsAction } from 'redux-effects-promise';
import { IFilterFormDialogMiddlewareConfig } from './middleware.interface';
/**
 * @stable [11.03.2019]
 * @param {IFilterFormDialogMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
export declare const makeFilterFormDialogClearMiddleware: (config: IFilterFormDialogMiddlewareConfig) => IEffectsAction[];
/**
 * @stable [12.03.2019]
 * @param {IFilterFormDialogMiddlewareConfig} config
 * @returns {IEffectsAction}
 */
export declare const makeFilterFormDialogResetMiddleware: (config: IFilterFormDialogMiddlewareConfig) => IEffectsAction;
/**
 * @stable [11.03.2019]
 * @param {IFilterFormDialogMiddlewareConfig} config
 * @returns {IEffectsAction}
 */
export declare const makeFilterFormDialogAcceptMiddleware: (config: IFilterFormDialogMiddlewareConfig) => IEffectsAction;
