import { IEffectsAction } from 'redux-effects-promise';
import { IUntouchedListMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [27.03.2020]
 * @param {IUntouchedListMiddlewareConfigEntity<TState>} config
 * @returns {(action: IEffectsAction, state: TState) => IEffectsAction}
 */
export declare const makeUntouchedListMiddleware: <TState>(config: IUntouchedListMiddlewareConfigEntity<TState, {}>) => (action: IEffectsAction, state: TState) => IEffectsAction[];
