"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var type_1 = require("./type");
/**
 * @stable [24.01.2020]
 * @param {((payload?: TPayload) => TResult) | TResult} result
 * @param {TPayload} payload
 * @returns {TResult}
 */
exports.calc = function (result, payload) {
    return type_1.isFn(result)
        ? result(payload)
        : result;
};
/**
 * @stable [04.10.2018]
 * @param {number} value
 * @returns {boolean}
 */
exports.isOddNumber = function (value) { return value % 2 !== 0; };
//# sourceMappingURL=calc.js.map