"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mapper_1 = require("./mapper");
var definition_1 = require("../definition");
/**
 * @stable [29.02.2020]
 * @param {IFieldsContainer} container
 * @returns {IBaseSelectProps}
 */
exports.mapDictionaryFilterChangeProps = function (container) { return ({
    onDictionaryFilterChange: container.dictionaryStoreProxy.dispatchLoadDictionary,
}); };
/**
 * @stable [29.02.2020]
 * @param {IFieldsContainer} container
 * @returns {IPlaceFieldProps}
 */
exports.mapPlaceFieldProps = function (container) { return (__assign({ dictionary: definition_1.DictionariesEnum.PLACES }, mapper_1.mapDictionaryEntityField(container.props.dictionaries.places), exports.mapDictionaryFilterChangeProps(container))); };
//# sourceMappingURL=field-props.js.map