/// <reference types="react" />
import { BaseComponent } from '../base';
import { IButtonProps } from '../../definition';
export declare class Button extends BaseComponent<IButtonProps> {
    static readonly defaultProps: IButtonProps;
    /**
     * @stable [02.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.02.2019]
     */
    blur(): void;
    getId(identificator: string): string;
    /**
     * @stable [02.02.2020]
     * @returns {boolean}
     */
    private readonly isDecorated;
    /**
     * @stable [02.02.2020]
     * @param text
     * @returns {boolean}
     */
    private hasContent;
    /**
     * @stable [02.02.2020]
     * @returns {boolean}
     */
    private readonly isDisabled;
    /**
     * @stable [02.02.2020]
     * @returns {boolean}
     */
    private readonly isFull;
    /**
     * @stable [02.02.2020]
     * @returns {JSX.Element}
     */
    private readonly iconElement;
    /**
     * @stable [02.02.2020]
     * @returns {string}
     */
    private readonly text;
}
