import * as React from 'react';
import { Dialog } from '../dialog.component';
import { IFilterFormDialogContainerProps } from '../../../definition';
import { UniversalContainer } from '../../base/universal.container';
export declare class FilterFormDialogContainer extends UniversalContainer<IFilterFormDialogContainerProps<React.RefObject<Dialog>>> {
    /**
     * @stable [10.03.2019]
     * @param {IFilterFormDialogContainerProps} props
     */
    constructor(props: IFilterFormDialogContainerProps<React.RefObject<Dialog>>);
    /**
     * @stable [12.03.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [10.03.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.03.2019]
     */
    private onAcceptFilter;
    /**
     * @stable [10.03.2019]
     */
    private onClearFilter;
    /**
     * @stable [16.01.2020]
     * @returns {boolean}
     */
    private readonly haveFilterChangesOrIsTouched;
    /**
     * @stable [16.01.2020]
     * @returns {boolean}
     */
    private readonly haveFilterChanges;
}
