import * as React from 'react';
import { BaseGridColumn } from '../base-column';
import { IGridColumnProps } from '../../../definition';
export declare class GridColumn extends BaseGridColumn {
    /**
     * @stable [18.10.2019]
     * @param {IGridColumnProps} props
     */
    constructor(props: IGridColumnProps);
    /**
     * @stable [18.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [04.01.2020]
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>}
     */
    protected getColumnContentProps(): React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
    /**
     * @stable [18.10.2019]
     */
    private onColumnClick;
    /**
     * @stable [04.01.2020]
     */
    private onColumnContentClick;
}
