"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_component_1 = require("../base/base.component");
var util_1 = require("../../util");
var Main = /** @class */ (function (_super) {
    __extends(Main, _super);
    function Main() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.02.2020]
     * @returns {JSX.Element}
     */
    Main.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", { className: util_1.joinClassName('rac-main', util_1.calc(props.className)) },
            React.createElement("div", { ref: this.selfRef, className: 'rac-main__body' },
                React.createElement("div", { className: 'rac-main__body-content' }, props.children))));
    };
    return Main;
}(base_component_1.BaseComponent));
exports.Main = Main;
//# sourceMappingURL=main.component.js.map