"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var message_1 = require("../message");
var connector_1 = require("../connector");
var definition_1 = require("../../definition");
var di_1 = require("../../di");
var base_1 = require("../base");
var util_1 = require("../../util");
var OAuthCallbackContainer = /** @class */ (function (_super) {
    __extends(OAuthCallbackContainer, _super);
    function OAuthCallbackContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [14.03.2020]
     * @returns {JSX.Element}
     */
    OAuthCallbackContainer.prototype.render = function () {
        return (React.createElement(message_1.Message, { className: util_1.joinClassName('rac-oauth-callback__message', definition_1.OAuthClassesEnum.OAUTH_VIEW), progress: true }));
    };
    OAuthCallbackContainer.defaultProps = {
        sectionName: definition_1.OAUTH_CALLBACK_SECTION,
    };
    OAuthCallbackContainer = __decorate([
        connector_1.basicConnector({
            routeConfiguration: {
                path: function () { return di_1.getSettings().routes.oauthCallback; },
            },
            mappers: [],
        })
    ], OAuthCallbackContainer);
    return OAuthCallbackContainer;
}(base_1.BaseContainer));
//# sourceMappingURL=oauth-callback.container.js.map