import { IComponent, IScrolledProps, IUniversalPlugin } from '../../definition';
export declare class PersistentScrollPlugin implements IUniversalPlugin {
    private readonly component;
    private readonly domAccessor;
    private readonly scrollTask;
    private scrollUnsubscriber;
    /**
     * @stable [06.02.2020]
     * @param {IComponent<IScrolledProps>} component
     */
    constructor(component: IComponent<IScrolledProps>);
    /**
     * @stable [23.10.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [24.10.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [24.10.2019]
     */
    private onScroll;
    /**
     * @stable [24.10.2019]
     */
    private doScroll;
}
