"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @default-entity
 * @stable [21.02.2020]
 */
exports.DEFAULT_FORM_FIELD_CONTROLLER_ENTITY = Object.freeze({
    actionsRendered: false,
    compact: true,
    full: false,
});
/**
 * @default-entity
 * @stable [21.02.2020]
 */
exports.DEFAULT_FULL_FORM_FIELD_CONTROLLER_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_FORM_FIELD_CONTROLLER_ENTITY, { full: true }));
/**
 * @initial-entity
 * @stable [27.09.2019]
 */
exports.INITIAL_FORM_ENTITY = Object.freeze({
    changes: {},
    defaultChanges: {},
});
/**
 * @classes
 * @stable [23.03.2020]
 */
var FormClassesEnum;
(function (FormClassesEnum) {
    FormClassesEnum["FORM"] = "rac-form";
    FormClassesEnum["FORM_ACTIONS"] = "rac-form__actions";
    FormClassesEnum["FORM_BODY"] = "rac-form__body";
    FormClassesEnum["FULL_FORM"] = "rac-full-form";
})(FormClassesEnum = exports.FormClassesEnum || (exports.FormClassesEnum = {}));
//# sourceMappingURL=form-definition.interface.js.map