"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [15.09.2019]
 */
var TransportEventCategoriesEnum;
(function (TransportEventCategoriesEnum) {
    TransportEventCategoriesEnum["TRANSPORT"] = "transport";
    TransportEventCategoriesEnum["TRANSPORT_ERROR"] = "transport:error";
})(TransportEventCategoriesEnum = exports.TransportEventCategoriesEnum || (exports.TransportEventCategoriesEnum = {}));
/**
 * @stable [27.05.2019]
 */
var TransportMethodsEnum;
(function (TransportMethodsEnum) {
    TransportMethodsEnum["POST"] = "post";
    TransportMethodsEnum["GET"] = "get";
    TransportMethodsEnum["PUT"] = "put";
    TransportMethodsEnum["DELETE"] = "delete";
})(TransportMethodsEnum = exports.TransportMethodsEnum || (exports.TransportMethodsEnum = {}));
/**
 * @stable [15.09.2019]
 */
var TransportResponseTypesEnum;
(function (TransportResponseTypesEnum) {
    TransportResponseTypesEnum["BLOB"] = "blob";
})(TransportResponseTypesEnum = exports.TransportResponseTypesEnum || (exports.TransportResponseTypesEnum = {}));
/**
 * @stable [24.09.2019]
 */
exports.INITIAL_TRANSPORT_ENTITY = Object.freeze({
    queue: [],
    token: null,
});
/**
 * @stable [16.03.2020]
 */
exports.$_RAC_TRANSPORT_DESTROY_TOKEN_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "transport.destroy.token";
exports.$_RAC_TRANSPORT_UPDATE_TOKEN_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "transport.update.token";
//# sourceMappingURL=transport-definition.interface.js.map