import { IEventEmitter, IEventEmitterSubscribeEntity } from '../../definition';
import { AnyT } from '../../definitions.interface';
export declare class EventEmitter implements IEventEmitter {
    private emitter;
    /**
     * @stable [17.01.2020]
     */
    constructor();
    /**
     * @stable [17.01.2020]
     * @param {IEventEmitterSubscribeEntity} cfg
     * @returns {() => void}
     */
    subscribe(cfg: IEventEmitterSubscribeEntity): () => void;
    /**
     * @stable [17.01.2020]
     * @param {string} event
     * @param {AnyT[]} args
     */
    emit(event: string, ...args: AnyT[]): void;
}
