"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var action_builder_1 = require("../../component/action.builder");
var util_1 = require("../../util");
/**
 * @stable [27.03.2020]
 * @param {IListEffectsMiddlewareConfig} config
 * @returns {IEffectsAction}
 */
exports.makeLoadedListOnValidMiddleware = function (config) {
    return util_1.orNull(util_1.$isValid(util_1.selectValidFromAction(config.action)), function () { return action_builder_1.ListActionBuilder.buildLoadAction(config.listSection); });
};
//# sourceMappingURL=loaded-list.middleware.js.map