import { AnyAction, Reducer } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IAsyncLibsEntity, IDictionariesEntity, ILayoutEntity, INotificationEntity, IStackEntity } from '../definition';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    asyncLibs: (state: IAsyncLibsEntity, action: AnyAction) => IAsyncLibsEntity;
    dictionaries: (state: IDictionariesEntity, action: IEffectsAction) => IDictionariesEntity;
    permissions: (state: any, action: AnyAction) => any;
    user: (state: any, action: AnyAction) => any;
    layout: (state: ILayoutEntity, action: AnyAction) => ILayoutEntity;
    stack: (state: IStackEntity, action: AnyAction) => IStackEntity;
    notification: (state: INotificationEntity, action: IEffectsAction) => INotificationEntity;
};
