"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = require("axios/dist/axios");
var inversify_1 = require("inversify");
var TransportRequestProvider = /** @class */ (function () {
    function TransportRequestProvider() {
    }
    /**
     * @stable [01.02.2019]
     * @param {TRequest} req
     * @returns {Promise<TResponse>}
     */
    TransportRequestProvider.prototype.provideRequest = function (req) {
        return axios_1.default.request(req);
    };
    /**
     * @stable [01.02.2019]
     * @returns {ITransportCancelTokenEntity}
     */
    TransportRequestProvider.prototype.provideCancelToken = function () {
        return axios_1.default.CancelToken.source();
    };
    TransportRequestProvider = __decorate([
        inversify_1.injectable()
    ], TransportRequestProvider);
    return TransportRequestProvider;
}());
exports.TransportRequestProvider = TransportRequestProvider;
//# sourceMappingURL=transport-request-provider.service.js.map