"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [23.03.2020]
 * @param {IActiveValueWrapper} wrapper
 * @param {IGenericTabEntity} tab
 * @returns {boolean}
 */
exports.isTabActive = function (wrapper, tab) {
    return R.isNil(wrapper)
        ? false
        : (R.isNil(wrapper.activeValue)
            ? !!tab.active
            : wrapper.activeValue === tab.value);
};
//# sourceMappingURL=tab.js.map